import { ComponentChildren } from 'preact';
export interface SelectOption<T> {
    label: ComponentChildren;
    value: T;
    icon?: React.ReactNode;
    group?: string;
}
interface Props<T> {
    value: T[] | T | null;
    options: SelectOption<T>[];
    onChange: (value: T[] | T | null) => void;
    multiple?: boolean;
    compareFunction?: (a: T, b: T) => boolean;
    clearable?: boolean;
    searchable?: boolean;
    placeholder?: string;
    classes?: string;
    displayPlaceholderWhenSelected?: boolean;
}
export default function Select<T>({ value, options, onChange, multiple, compareFunction, clearable, searchable, placeholder, classes, displayPlaceholderWhenSelected, }: Props<T>): import("preact").JSX.Element;
export {};
//# sourceMappingURL=Select.d.ts.map